Zen API

- Home
- Topics
- Types
- Files

All Classes Files Functions Variables Typedefs Friends Macros Modules Pages
kMsgQueuePurgeOption Struct Reference
kApi/Threads

## Description

Represents a set of kMsgQueue purge options.

Inheritance diagram for kMsgQueuePurgeOption:

## Related
#define | kMSG_QUEUE_PURGE_OPTION_NULL
| No options.
#define | kMSG_QUEUE_PURGE_OPTION_PRESERVE_CRITICAL
| Critical items should be preserved.
#define | kMSG_QUEUE_PURGE_OPTION_USE_HANDLER
| Drop handler should be called to process dropped items.
#define | kMSG_QUEUE_PURGE_OPTION_DISPOSE_ITEMS
| Reference items should be automatically disposed.
#define | kMSG_QUEUE_PURGE_OPTION_COUNT_DROPS
| Dropped items should add to drop counter.
Related inherited from kValue
#define | kValue_EqualsT(kType_type, TPtr_value, TPtr_other)
| Determines whether a value is equal to another value. More...
#define | kValue_HashCodeT(kType_type, TPtr_value)
| Gets a hash code representing the state of this value. More...

## Additional Inherited Members
Public Member Functions inherited from kValue
kBool | kValue_Equals (kType type, const void *value, const void *other)
| Determines whether a value is equal to another value. More...
kSize | kValue_HashCode (kType type, const void *value)
| Gets a hash code representing the state of this value. More...
void | kValue_Import (kType type, void *value, const void *source)
| Imports the content of another value into this value. More...
Protected Member Functions inherited from kValue
kBool | kValue_VEquals (kType type, const void *value, const void *other)
| Protected virtual method that compares two values for equality. More...
kSize | kValue_VHashCode (kType type, const void *value)
| Protected virtual method that calculates a hash code representing the value instance. More...
void | kValue_VImport (kType type, void *value, const void *source)
| Protected virtual method that imports data from an external source into an array-value type. More...

The documentation for this struct was generated from the following file:

- Threads/kMsgQueue.h